670, error when build javadocs in ANT?


Hi,

Since upgrading to build 670 and using IDEA's own JRE (Why is this
needed?!) we can't build javadocs using ANT as we always have in the past
without problem.

It seems to be a problem with IDEA's own JRE, because if we change the
ANT properties in IDEA to "run under another JDK" and make it use JDK
1.4.0_01 it works.

Why is there a difference here between previous builds ? it seems very
silly.

Marc
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ W]]> ~~~~~
(o) Wangjammer5 (Marc Palmer)
( ) Wangjammer7

www.wangjammers.org = Java Consultants (Web|Smartcards|Crypto)

6 comments
Comment actions Permalink

We are also having problems trying to run our ant scripts under the recent
builds.

Ted Hill


"Marc Palmer" wrote in message news:20021106.10355289@spinney.anyware.co.uk... Hi, Since upgrading to build 670 and using IDEA's own JRE (Why is this needed?!) we can't build javadocs using ANT as we always have in the past without problem. It seems to be a problem with IDEA's own JRE, because if we change the ANT properties in IDEA to "run under another JDK" and make it use JDK 1.4.0_01 it works. Why is there a difference here between previous builds - it seems very silly. Marc ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ W]]> ~~~~~
(o) Wangjammer5 (Marc Palmer)
( ) Wangjammer7

www.wangjammers.org = Java Consultants (Web|Smartcards|Crypto)



0
Comment actions Permalink

Why won't you submit an SCR with detailed problem description?

--
Best regards,
Mike Aizatsky.
-


JetBrains, Inc / IntelliJ Software
http://www.intellij.com
"Develop with pleasure!"


0
Comment actions Permalink

Hi,

I experienced similar problems.

The solution was always to change the JDK that is used for Ant
to the project's JDK. Although that does the job, I think this is
not very convenient and should be improved.

You may want to vote for this SCR that makes a suggestion:
http://www.intellij.net/tracker/idea/viewSCR?publicId=6544


Sascha

Hi,

>

Since upgrading to build 670 and using IDEA's own JRE (Why is this
needed?!) we can't build javadocs using ANT as we always have in the past
without problem.

>

It seems to be a problem with IDEA's own JRE, because if we change the
ANT properties in IDEA to "run under another JDK" and make it use JDK
1.4.0_01 it works.

>

Why is there a difference here between previous builds - it seems very
silly.

>

Marc
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ W<A> ~~~~~
(o) Wangjammer5 (Marc Palmer)
( ) Wangjammer7

>

www.wangjammers.org = Java Consultants (Web|Smartcards|Crypto)

>


0
Comment actions Permalink

We had a similar problem because the jre that is shipped with IDEA does not contain javadoc. (The jre is a bit of a hybrid actually, it does contain javac).

The solution, for us, was to simply copy javadoc from a separate jdk into the jre's bin directory (alongside javac etc.)

It's not a very pretty solution, but you can build javadoc using Ant. I hope this helps.

--
Bill

0
Comment actions Permalink

Why won't you submit an SCR with detailed problem description?


Because I am first checking to see if I am doing something stupid, before
submitting it as a bug. Otherwise your bug DB fills with tons of crap...

Marc

0
Comment actions Permalink

Marc,

If you copy javadoc.exe (which we can't distribute) from JDK to
]]>/jre/bin will it solve the problem?

--
Best regards,
Mike Aizatsky.
-


JetBrains, Inc / IntelliJ Software
http://www.intellij.com
"Develop with pleasure!"


0

Please sign in to leave a comment.